Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78636 - lib/cpp sigsegv's on autoconfigure
Summary: lib/cpp sigsegv's on autoconfigure
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cpp
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 19:21 UTC by Bo Parady
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-02 20:46:40 UTC


Attachments (Terms of Use)

Description Bo Parady 2002-11-26 19:21:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
#include "confdefs.h"
#include <assert.h>
                     Syntax error
configure:2947: result: /lib/cpp
configure:2962: /lib/cpp  conftest.c
cpp: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
configure:2968: $? = 1
configure: failed program was:
#line 2956 "configure"
#include "confdefs.h"
#include <assert.h>
                     Syntax error
configure:2962: /lib/cpp  conftest.c
cpp: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start a project with KDEdevelop
2.Run the autoproject wizard
3.
	

Actual Results:  #include "confdefs.h"
#include <assert.h>
                     Syntax error
configure:2947: result: /lib/cpp
configure:2962: /lib/cpp  conftest.c
cpp: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
configure:2968: $? = 1
configure: failed program was:
#line 2956 "configure"
#include "confdefs.h"
#include <assert.h>
                     Syntax error
configure:2962: /lib/cpp  conftest.c
cpp: Internal error: Segmentation fault (program cpp0)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Additional info:

Comment 1 Jakub Jelinek 2002-12-04 16:12:31 UTC
If it is reproduceable, please collect all headers it uses and all options passed to /lib/cpp.

Comment 2 Jakub Jelinek 2004-10-02 20:46:40 UTC
No response, we can't do anything for this.


Note You need to log in before you can comment on or make changes to this bug.